using System;

namespace kvalifikacije_2_2022_2023_spojler
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s1 = Console.ReadLine().Split();
            int a = int.Parse(s1[0]);
            int b = int.Parse(s1[1]);

            string[] s2 = Console.ReadLine().Split();
            int x = int.Parse(s2[0]);
            int y = int.Parse(s2[1]);

            if (x == a && y < b)
                Console.WriteLine("drugi");
            else if (y == b && x < a)
                Console.WriteLine("prvi");
            else if (x == a && y == b)
                Console.WriteLine("nijedan");
            else
                Console.WriteLine("?");
        }
    }
}